> For the complete documentation index, see [llms.txt](https://docs.accurascan.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.accurascan.com/solutions/finger-biometrics/cordova/setup-accura-finger.md).

# Setup Accura Finger

### Setting up License <a href="#user-content-setting-up-license" id="user-content-setting-up-license"></a>

```
  accura.getMetadata(function (result) {
    if(result.isValid){
      console.log(result)
    }
  }, function (error) {
    alert(error);
  })
```

***

**Error:** String

**Success:** JSON String Response = { **isMICR:** boolean }

### Method for Finger Enrollment. <a href="#user-content-5method-for-finger-enrollment" id="user-content-5method-for-finger-enrollment"></a>

```
    startEnroll: function() {
        const hand = 'left' //or 'right'

        accura.startFingerEnroll(
            [hand],
            result => {
                try {
                    const template = JSON.parse(result).template_data;
                    this.enrollTemplateArray = Object.values(template);
                } catch (e) {
                    console.error('Enrollment parse error:', e);
                }
            },
            error => {
                console.error('Enrollment failed:', error);
                alert('Enrollment failed: ' + error);
            }
        );
    },
```

***

**Success:** JSON Response {

**image\_data:** JSONObjects?,

**template\_data:** JSONObjects?

}

**Error:** String

### Method for Finger Verification. <a href="#user-content-6method-for-finger-verification" id="user-content-6method-for-finger-verification"></a>

```
    startVerify: function() {
        const hand = 'left' //or 'right'

        accura.startFingerVerify(
            [hand],
            result => {
                try {
                    const template = JSON.parse(result).template_data;
                    this.verifyTemplateArray = Object.values(template);
                } catch (e) {
                    console.error('Verification parse error:', e);
                }
            },
            error => {
                console.error('Verification failed:', error);
                alert('Verification failed: ' + error);
            }
        );
    },
```

***

**Success:** JSON Response {

**image\_data:** JSONObjects?,

**template\_data:** JSONObjects?

}

**Error:** String

### Method to Get Result. <a href="#user-content-7method-to-get-result" id="user-content-7method-to-get-result"></a>

```
    getResult: function() {

        accura.getResult(
            enrollTemplateArray, verifyTemplateArray,
            result => {
                console.log('Comparison result:', result);
            },
            error => {
                console.error('Comparison error:', error);
            }
        );
    }
```

***

**enrollTemplateArray:** Array of template\_data of enrolled finger **verifyTemplateArray** Array of template\_data of veriying finger

**Success:** JSON Response {isValid:string} **Error:** String


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.accurascan.com/solutions/finger-biometrics/cordova/setup-accura-finger.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
